/*******************************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ******************************************************************************/
package gov.va.med.esr.common.model.lookup;

// Java classes

// Library classes
import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

// ESR classes

public class TeamPurpose extends AbstractNamedActiveLookup {
	/**
	 * 
	 */

	/**
	 * 
	 */
	private static final long serialVersionUID = 0L;

	/**
	 * An instance of serialVersionUID
	 */	

	public static class Code extends AbstractCode {
		/**
		 * An instance of serialVersionUID
		 */

		private Code(String code) {
			super(code);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);
		}
	}

	/**
	 * Default constructor.
	 */
	public TeamPurpose() {
		super();
	}
}
